curl --request GET \
--url https://gateway.paybyrd.com/api/v2/transactions/{transactionId} \
--header 'x-api-key: <api-key>'import requests
url = "https://gateway.paybyrd.com/api/v2/transactions/{transactionId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://gateway.paybyrd.com/api/v2/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "13.00",
"isoAmount": 1300,
"brand": "MASTER",
"code": "BYRD200",
"createdDate": "2021-06-01T01:21:41Z",
"currency": "EUR",
"description": "Operation successfully completed",
"externalCustomIdentifier": "33ff7bd9-1d6e-4bd0-bc2d-a4aef8614972",
"externalSessionIdentifier": "bda69b31-8a81-4779-801e-f7d6e5d3fa47",
"externalTransactionIdentifier": "dc3f1e75-0e4b-49c5-a68e-5adea241e749",
"index": 0,
"initiatedFrom": "PayByLink",
"operationType": "Capture",
"personId": 10,
"referencedTransactions": [
{
"amount": "13.00",
"isoAmount": 1300,
"capturedDate": "2021-05-31T22:04:31Z",
"createdDate": "2021-05-31T22:01:57Z",
"currency": "EUR",
"externalCustomIdentifier": "c9a625d4-d968-47a0-b237-e5d4f31dfcd4",
"index": 1,
"initiatedFrom": "PayByLink",
"operationType": "PreAuth",
"orderRef": "AMZ1962",
"personId": 10,
"subscriptionGuid": "5b16391d-b8b8-45c9-8aa3-4f6f3ce5a656",
"terminalId": "EM30X4X5X0",
"transactionDate": "2021-05-31T22:01:57Z",
"transactionId": "c9a625d4-d968-47a0-b237-e5d4f31dfcd4"
}
],
"status": "Success",
"subscriptionGuid": "5b16391d-b8b8-45c9-8aa3-4f6f3ce5a656",
"transactionDate": "2021-06-01T01:21:41Z",
"transactionId": "33ff7bd9-1d6e-4bd0-bc2d-a4aef8614972",
"acquirerResponseCode": "00-I",
"acquirerResponseMessage": "Authorized",
"acquirerEntity": "11854",
"acquirerReference": "999999935"
}Query
Authorizations
Path Parameters
The transaction identifier generated by Paybyrd.
Response
200
The transaction amount.
"-1.00"
The transaction amount.
-100
The transaction brand.
"MASTER"
Represents the Paybyrd code of the web request. To see more details check in Return Codes [blocked] page.
BYRD010, BYRD200, BYRD201, BYRD203, BYRD205, BYRD206, BYRD207, BYRD208, BYRD230, BYRD231, BYRD240, BYRD290, BYRD291, BYRD292, BYRD294, BYRD299, BYRD401, BYRD403, BYRD900, BYRD901, BYRD999 "BYRD200"
"2021-06-01T01:21:41Z"
"EUR"
Represents a textually the description of the Paybyrd code of the web request. To see more details check in Return Codes [blocked] page
Request accepted, Operation successfully completed, Payment being processed. Waiting for shopper, An error occurred while processing the payment. Please query the transaction to confirm its status, Operation rejected, Operation blocked by velocity, Pending redirect, Payment canceled by the shopper, Payment already refunded, The refund amount exceeds the remaining balance of the original payment, Token is expired, An error occurred while pre processing the transaction. Please review your request and try again, An error occurred during while preparing transaction for acquiring. Please review your request and try again, No payment methods available for this operation. Please contact Paybyrd's support, Transaction could not be updated. Please review your request and try again, Operation could not be completed. Please review your request and try again, Resource access is forbidden, Resource access unauthorized, Invalid input, Resource not found, Operation failed "Operation successfully completed"
"33ff7bd9-1d6e-4bd0-bc2d-a4aef8614972"
"bda69b31-8a81-4779-801e-f7d6e5d3fa47"
"dc3f1e75-0e4b-49c5-a68e-5adea241e749"
This value represents the transaction order in the timeline of the transaction.
4
Defines where the transaction was started from.
"Server"
Identifies what a kind of transaction is it.
"Refund"
Identify which merchant is the transaction owner.
10
Show child attributes
Show child attributes
"Success"
"5b16391d-b8b8-45c9-8aa3-4f6f3ce5a656"
"2021-06-01T01:21:41Z"
"33ff7bd9-1d6e-4bd0-bc2d-a4aef8614972"
This field represents the shopper FingerPrint in the Paybyrd's systems.
"V0010015818248598768349855188"
The authorization host response code.
"00-I"
The authorization host response message
"Authorized"
The acquirer entity
11854
The acquirer reference
999999935
Multicaixa Express payment details. Only present when the transaction brand is MULTICAIXAEXPRESS.
Show child attributes
Show child attributes

